Skip to content

Evaluate Checklist

Request

Evaluate a checklist for a subject.

Security
bearer
Path
checklistIdstringrequired
Headers
ProjectIdstring, (uuid)required
Example:e6b01018-a333-4732-917e-fe38e91b0fdf
Bodyapplication/jsonrequired
subjectIdstring, (uuid)required

The ID of the subject to evaluate the checklist for.

regenerateboolean

If true, forces regeneration of the checklist evaluation even if a recent evaluation exists.

curl -i -X POST \
  'https://partner.xcures.com/api/v1/patient-registry/checklist/{checklistId}/evaluate' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'ProjectId: e6b01018-a333-4732-917e-fe38e91b0fdf' \
  -d '{
    "subjectId": "68460e63-0717-47f9-8fd8-d28f152cb30b",
    "regenerate": true
  }'

Responses

Bodyapplication/json
subjectIdstring, (uuid)required

ID of the subject being evaluated.

checklistIdstring, (uuid)required

ID of the checklist being evaluated.

itemsArray of objects(ChecklistItemEvaluationResult)required

Evaluation results of the indvidual checklist items.

documentIdsArray of stringsrequired

IDs of the source documents associated with all of the satisfied checklist items.

Response
{ "subjectId": "68460e63-0717-47f9-8fd8-d28f152cb30b", "checklistId": "9c2471f0-7b0e-4603-bb5c-ee5fa92d766a", "items": [ { … } ], "documentIds": [ "string" ] }